# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sipbot"
version = "0.2.40"
authors = ["jinti<shenjindi@fourz.cn>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple SIP bot with RTP"
readme = "README.md"
keywords = [
    "rtp",
    "srtp",
    "sip",
    "cli",
]
categories = ["network-programming"]
license = "MIT"
repository = "https://github.com/miuda-ai/sipbot"

[features]
default = ["local-device"]
local-device = [
    "dep:cpal",
    "dep:ringbuf",
]

[lib]
name = "sipbot"
path = "src/lib.rs"

[[bin]]
name = "sipbot"
path = "src/main.rs"

[[test]]
name = "call_test"
path = "tests/call_test.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.audio-codec]
version = "0.3.39"

[dependencies.bytes]
version = "1.12.0"

[dependencies.chrono]
version = "0.4.45"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.cpal]
version = "0.17.2"
optional = true

[dependencies.futures]
version = "0.3.32"

[dependencies.hound]
version = "3.5.1"

[dependencies.rand]
version = "0.10.1"

[dependencies.ringbuf]
version = "0.5.0"
optional = true

[dependencies.rsipstack]
version = "0.5.16"

[dependencies.rustrtc]
version = "0.3.83"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-util]
version = "0.7.18"

[dependencies.toml]
version = "1.1.2"

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "chrono",
]
